## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.pages.general
Class ASAProcedureGeneralPage

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.EditorPart
                  org.eclipse.datatools.sqltools.common.ui.helpsystem.HelpSystemEditorPart
                      org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorPage
                          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.pages.general.ProceduralObjectGeneralPage
                              org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.pages.general.RoutineGeneralPage
                                  org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.pages.general.ASAProcedureGeneralPage

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, ISybaseASADdlConstants, ISybaseDdlConstants, org.eclipse.datatools.sqltools.common.core.tableviewer.ITableDataChangeListener, IDisablementPart, ISchemaObjectEditorPage, org.eclipse.help.IContextProvider, org.eclipse.ui.forms.editor.IFormPage, org.eclipse.ui.IEditorPart, org.eclipse.ui.ISaveablePart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

    public class ASAProcedureGeneralPage

extends RoutineGeneralPage
implements ISchemaObjectEditorPage, org.eclipse.datatools.sqltools.common.core.tableviewer.ITableDataChangeListener, ISybaseASADdlConstants

ASA procedure general page, handles both tsql and watcom sql

Author:
  Hui Cao

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorPage
`SchemaObjectEditorPage.PageForm`

Field Summary

Fields inherited from class org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.pages.general.RoutineGeneralPage
`PARAMETER_FOCUS`

Fields inherited from interface org.eclipse.datatools.sqltools.schemaobjecteditor.ui.ISchemaObjectEditorPage
`UNKNOWN_ITEM_TYPE`

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Fields inherited from interface org.eclipse.datatools.enablement.sybase.asa.ISybaseASADdlConstants

`AND, ASE, BETWEEN, BLANK, BY, CASE, CHECKSUM, COLLATION, COMPATIBLE, COMPUTE, CONNECT, DATE, DAYS_OF_WEEK, DBSPACE, DECLARELOCALTEMP, DISABLE, ENABLE, ENCRYPTED, EVENT_CONDITION, EVERY, EXISTING, GLOBALTEMPTABLE, GROUP, HANDLER, IDENTIFIED, IGNORE, JCONNECT, JDK, KEY, MEMBERSHIP, MIRROR, MODIFY, NOTTRANSACTIONAL, OFF, ONCOMMITDELETE, ONCOMMITPRESERVE, ONEXCEPTIONRESUME, ORDER, PADDING, PAGE, PASSWORD, PCTFREE, REMOTE, RESPECT, RESULT, SCHEDULE, SERVICE, SIZE, START, SYNTAX_TYPE_LIBRARY_CALL, SYNTAX_TYPE_PROXY, SYNTAX_TYPE_SQLJ, SYNTAX_TYPE_TSQL, SYNTAX_TYPE_WATCOM1, SYNTAX_TYPE_WATCOM2, TEMP_PASSWORD, TIME, USER, VIRTUAL, WHERE`

Fields inherited from interface org.eclipse.datatools.enablement.sybase.ddl.ISybaseDdlConstants

`ALTER_PRIVILEGE, ASC, AT, BEGIN, CAST, CHECKOPTION, CLUSTERED, COLUMN, COMMENT, COMMIT, DATABASE, DELETE_PRIVILEGE, DESC, END, END_IF, EQUAL, EVENT, EXEC_PRIVILEGE, EXISTS, EXTERNAL, EXTERNAL_NAME, FILE, FROM, GO, GO_FOR, GRANT, IF, IN, INOUT, INSERT_PRIVILEGE, IS, JAVA, LOCATOR, LOG, MESSAGE, NONCLUSTERED, OUT, OUTPUT, REFERENCE_PRIVILEGE, REFERENCES_PRIVILEGE, REMOVE, RENAME, REVOKE, SELECT_PRIVILEGE, SEMICOLUMN, SP_RENAME, THEN, TO, UPDATE_PRIVILEGE, WITH_GRANT_OPTION, WITH_RECOMPILE`

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Constructor Summary
`ASAProcedureGeneralPage()`

Method Summary
`void` `revert()` Revert this page to the original model

Methods inherited from class org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.pages.general.RoutineGeneralPage
`rowAdded, rowDataUpdated, rowDeleted, setFocus`

Methods inherited from class org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.pages.general.ProceduralObjectGeneralPage
`aboutToSave, canLeaveThePage, enable, init, refresh, setActive`

Methods inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorPage

`createPartControl, dispose, doSave, doSaveAs, getDatabaseIdentifier, getEditor, getEditorDescriptor, getErrorMsg, getId, getIndex, getManagedForm, getPageDescriptor, getPartControl, getPreferencePageIds, getTitleImage, initialize, isActive, isDirty, isEditor, isPageOpened, isSaveAsAllowed, markDirty, menuAboutToShow, modelRegenerated, populateSQLObjects, selectReveal, setEditor, setEditorDescriptor, setFocus, setId, setIndex, setPageDescriptor, setPartName, validate, validateAndShowErrors, validateOnline`

Methods inherited from class org.eclipse.datatools.sqltools.common.ui.helpsystem.HelpSystemEditorPart
`getContext, getContextChangeMask, getSearchExpression`

Methods inherited from class org.eclipse.ui.part.EditorPart
`getEditorInput, getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, getAdapter, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.sqltools.schemaobjecteditor.ui.ISchemaObjectEditorPage
`aboutToSave, getDatabaseIdentifier, getEditorDescriptor, getErrorMsg, getPageDescriptor, getPreferencePageIds, isPageOpened, markDirty, menuAboutToShow, modelRegenerated, populateSQLObjects, refresh, setEditor, setEditorDescriptor, setFocus, setId, setPageDescriptor, setPartName, validate, validateAndShowErrors, validateOnline`

Methods inherited from interface org.eclipse.ui.forms.editor.IFormPage
`canLeaveThePage, getEditor, getId, getIndex, getManagedForm, getPartControl, initialize, isActive, isEditor, selectReveal, setActive, setIndex`

Methods inherited from interface org.eclipse.ui.IEditorPart
`getEditorInput, getEditorSite, init`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.ui.ISaveablePart
`doSave, doSaveAs, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded`

Methods inherited from interface org.eclipse.datatools.sqltools.schemaobjecteditor.ui.IDisablementPart
`enable`

Methods inherited from interface org.eclipse.datatools.sqltools.common.core.tableviewer.ITableDataChangeListener
`rowAdded, rowDataUpdated, rowDeleted`

Constructor Detail

### ASAProcedureGeneralPage

    public ASAProcedureGeneralPage()

Method Detail

### revert

    public void revert()

  Description copied from interface: `ISchemaObjectEditorPage`
  Revert this page to the original model

  Specified by:
    `revert` in interface `ISchemaObjectEditorPage`
  Overrides:
    `revert` in class `RoutineGeneralPage`